Bug 5872 - Should provide kernel-headers = %version
: Should provide kernel-headers = %version
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-headers-std26-up)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-13 12:24 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-13 12:24:37
Некоторым пакетам для сборки нужны исходники ядра не древнее определенной
версии.
К сожалению, наши пакеты kernel-headers-FLAVOR, хоть и предоставляют общее имя
kernel-headers, не указывают для него версии. Это делает создание правильных
зависимостей проблематичным.
------- Comment #1 From 2005-01-13 13:58:07 -------
reassign to new mantainer
------- Comment #2 From 2005-02-10 11:44:33 -------
Fixed in kernel-headers-std26-up-2.6.10-alt3.

Однако использование заголовков ядра в userspace разработчиками ядра считается
неверным и зачастую приводит к проблемам (в частности, периодически в некоторых
заголовках при использовании из userspace появляются ошибки компиляции, а
соответствующие баги на bugme.osdl.org немедленно отфутболиваются как INVALID).
------- Comment #3 From 2005-02-10 12:21:24 -------
(In reply to comment #2)
> Однако использование заголовков ядра в userspace разработчиками ядра считается
> неверным и зачастую приводит к проблемам (в частности, периодически в некоторых
> заголовках при использовании из userspace появляются ошибки компиляции, а
> соответствующие баги на bugme.osdl.org немедленно отфутболиваются как INVALID).

Насколько я понимаю, многим нужны всего лишь номера IOCTL'ов.
Спасибо.